Subject: Re: bug#13602: 24.3.50; remove bindings for `icomplete-minibuffer-map' - make a separate mode

From: Jambunathan K <[email-masked]>
Date: Thu, 07 Feb 2013 09:21:31 +0530

Juri Linkov <[email-masked]> writes:

>>>> I for one just disabled `icomplete-mode' in ~/.emacs when it got
>>>> added ido keybindings, waiting in the hope that someone will implement
>>>> `icomplete-mode-without-ido-keybindings' :-)
>>> (setq icomplete-minibuffer-map (make-sparse-keymap))
>>> should do it.
>>
>> BTW, which of those keybindings do you find inconvenient?
>
> `C-r' like in bash is useful to search for previous input in the history.
> This is especially useful for frequently used long command names
> for which it's difficult to find the shortest completion alias and
> remember it, e.g. for the command `gnus-read-ephemeral-emacs-bug-group'
> re-invoking it from the history is easy with just `M-x C-r gn RET RET'.

`completion-all-sorted-completions' prefers recent input history.  Once
you have `gnus-read-ephemeral-emacs-bug-group' in the command history,
it is likely to be the first of the few completions which you can pick
with one or more C-s-es.

One doesn't need to rely on traditional "C-r" exclusively to accomplish
the above work flow.

> Another frequently used case is using `C-s C-w C-w' to put the completed
> string into the search ring, exit Isearch, exit the minibuffer and
> search the same string from the ring in another buffer with `C-s C-s'.

Can you tell me why this is "frequent"? May be you use this to jump to a
command name in a *.el file.

May be, there is a stronger case for "C-s" to be re-considered.
Whatever is decided, I would expect that ido and icomplete share the
same keys for cycling back and forth.
--